#ifndef SPHERE_H
#define SPHERE_H

#include <ostream>


class Sphere
{
    double center[3];
    double radius;
public:
    Sphere(double x, double y, double z, double rad);
    double getX();
    double getY();
    double getZ();
    double getRadius();
    double getVolume();
    double calculateMass(double density);
    bool operator>(Sphere other);
};

std::ostream& operator<<(std::ostream& out, Sphere s);

#endif // SPHERE_H
